:: (C) Copyright Paul Scherrer Institut 2016
:: use this batch to generate the zip archive containing all the
:: files for the testing list plug-in for pshell.
:: Usage: just double-click this bat file.

@echo off
:: list of files to be added into the zip archive
set sources[0]=config\administrator.properties
set sources[1]=config\standard.properties
set sources[2]=config\plugins.properties
set sources[3]=script\local.py
set sources[4]=script\tests\tests
set sources[5]=script\tests\devices
set sources[6]=script\tests\templates
set sources[7]=plugins\
:: zip archive name where to store all the files in the list
set zipfile=pshell-plugin-testing-list.zip

set myvar=
rm %zipfile%

call :concat "C:\Program Files\7-Zip\7z.exe"
call :concat a
call :concat %zipfile%

for /F "tokens=2 delims==" %%s in ('set sources[') do call :addfile %%s

echo %myvar%
%myvar%

timeout 3

goto :eof

:addfile
:: 7zip syntax for adding files together with their directory structure
call :concat %1
call :concat %1*
goto :eof

:concat
set myvar=%myvar% %1
goto :eof